/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

import UIKit
import BraveUI

struct SettingsUX {
  static let backgroundColor = Colors.neutral100
  static let headerTextColor = Colors.grey800
  static let subtitleTextColor = Colors.neutral700
  static let bodyTextColor = Colors.grey600
  static let disabledSectionTitleColor = Colors.grey600
  
  static let titleFont = UIFont.systemFont(ofSize: 16.0, weight: .bold)
  static let bodyFont = UIFont.systemFont(ofSize: 14.0)
  
  static let layoutMargins = UIEdgeInsets(top: 15, left: 15, bottom: 15, right: 15)
}
